// bei komplexen Typen ist equal() ungeeignet:
test('test', function() {
	equal( {}, {}, 'Zwei leere Objekte sind nie gleich');
	equal( {a: 1}, {a: 1} , '... die erst recht nicht');
	equal( [], [], 'Zwei leere Arrays sind auch nie gleich');
	equal( [1], [1], '... die hier ebenfalls nicht');
	notEqual( [1], [1], '... eigentlich nicht ungleich');
	notEqual( [1], [0], '... dies hier schon');
})

// Warum? equal arbeitet intern mit ==
// ... damit kann man identische Objekte NICHT erfassen